echo off

set IP=10.49.20.147

set VERSION=2.0.0

if {%1} neq {} (set IP=%1)
set PASSWORD=castel

set PATH=ssh;%PATH%

echo "We are going to update the equipment with the address: %IP%"
echo "We are using the host update.sh version: %VERSION%"

echo "Sending the program to resize the RAM"
pscp.exe -pw %PASSWORD% resizeram/resizeram root@%IP%:/usr/bin/

echo "Setting the chmod"
plink.exe -ssh -pw %PASSWORD% root@%IP% "chmod 777 /usr/bin/resizeram"

echo "Resizing the RAM"
plink.exe -ssh -pw %PASSWORD% root@%IP% "sh /usr/bin/resizeram"

echo "Copying files"
pscp.exe -pw %PASSWORD% -r update root@%IP%:/tmp

echo "Copying static exe files"
pscp.exe -pw %PASSWORD% -r static-exe root@%IP%:/tmp/update/

echo "Setting the chmod pour static exe"
plink.exe -ssh -pw %PASSWORD% root@%IP% "chmod 777 /tmp/update/static-exe/*"

echo "Testing which version we are using to upgrade"

set TEST_FUNCTION_XELLIPUPDATE=plink.exe -ssh -pw %PASSWORD% root@%IP% "ps |grep xellipupdate|grep -v grep"
set TEST_FUNCTION_CASTELUPDATE=plink.exe -ssh -pw %PASSWORD% root@%IP% "ps |grep castelupdate|grep -v grep"

set result=0
set a=0

for /f "tokens=*" %%a in ('%TEST_FUNCTION_XELLIPUPDATE%') do set result=%%a

if NOT "%result%" == "0" goto new

set result=0
set a=0

for /f "tokens=*" %%a in ('%TEST_FUNCTION_CASTELUPDATE%') do set result=%%a

if NOT "%result%" == "0" goto new

goto before

:before
echo "Executing the old method update"
plink.exe -ssh -pw %PASSWORD% root@%IP% "cd /tmp/update && /bin/sh update_before_21X.sh"
goto end

:new
echo "Executing the on board firmware update"
plink.exe -ssh -pw %PASSWORD% root@%IP% "echo \"OK\" > /tmp/xellipupdateready"

echo "Spying what is going on with the update"
plink.exe -ssh -pw %PASSWORD% root@%IP% "/usr/bin/xellipupdate_show"

echo "Spying what is going on with the update"
plink.exe -ssh -pw %PASSWORD% root@%IP% "/usr/bin/castelupdate_show"

echo "Update finished => will reboot"
rem plink.exe  -ssh -pw %PASSWORD% root@%IP% "/sbin/reboot"

:end

pause