#!/bin/bash
VERSION="2.0.0"
IP=192.168.49.X

if [ 'ri'$1'en' != 'rien' ]
then
	IP=$1
fi

echo "We are going to update the equipment with the address: "$IP
echo "We are using the host update.sh script version: $VERSION"
PASSWORD=root

if ! ssh-copy-id root@$IP
then
	echo "do ssh-keygen -f \"$HOME/.ssh/known_hosts\" -R $IP"
	exit
fi

ssh-copy-id root@$IP
echo "Sending the program to resize the RAM"
scp resizeram/resizeram root@$IP:/usr/bin/

echo "Setting the chmod"
ssh root@$IP "chmod 777 /usr/bin/resizeram"

echo "Resizing the RAM"
ssh root@$IP "sh /usr/bin/resizeram"

echo "Copying files"
scp -r update root@$IP:/tmp

echo "Copying static exe files"
scp -r static-exe root@$IP:/tmp/update/

echo "Setting the chmod pour static exe"
ssh root@$IP "chmod 777 /tmp/update/static-exe/*"

echo "Testing which version we are using to upgrade : "
if [ "$(ssh root@$IP "ps |grep xellipupdate|grep -v grep")" != "" -o "$(ssh root@$IP "ps |grep castelupdate|grep -v grep")" != "" ]
then
	echo "Executing the on board firmware update"
	ssh root@$IP "echo \"OK\" > /tmp/xellipupdateready"
	
	if [ "$(ssh root@$IP "[ -e /usr/bin/xellipupdate_show ] && echo "YES" ")" = "YES" ]
	then
		echo "Spying what is going on with the update"
		ssh root@$IP "/usr/bin/xellipupdate_show"
	else
		echo "Spying what is going on with the update"
		ssh root@$IP "/usr/bin/castelupdate_show"
	fi
else
	echo "Executing the old method update"
	ssh root@$IP "cd /tmp/update && /bin/sh update_before_21X.sh"
fi

echo "Update finished => will reboot"
#ssh root@$IP "/sbin/reboot"